Description

Hi,

I noticed that the root password entered in the host creation phase is not correctly applied to the deployed machine. I guess because

SUSE is using a different alogorithm as the one that is used in foreman. Maybe Suse is using md5sum. I googled a lot for it but

couldn't find any clear details what is used in Suse.

Regards,

Oliver

Related issues:

Related to Foreman - Bug #722: Root password doesn't preseed on Ubuntu Resolved 03/09/2011

Associated revisions

Revision 72e1d32d - 09/04/2011 03:57 AM - Ohad Levy

fixes #1084 - OpenSUSE / SLES deployment root password not working

History

#1 - 08/03/2011 07:15 AM - Ohad Levy

You are probably correct, the handling of encoding the password should be moved away to the OS layer, so each OS should handle the encryption it

self.

I'm assuming most OS's support md5sum, and only solaris is still on crypt, however I'm not certain, would be great if anyone could contribute some

knowledge here :)

#2 - 08/03/2011 07:59 AM - Oliver Weinmann

Hi Ohad,

I just deployed a new machine (SLES 11) I'm testing some things with provisioning here. Now the password worked. I found a type in the default

OpenSUSE Provisioning template. Maybe the typo was my mistake?

I changed:

<%= root_pass %>/

to:

<%= root_pass %>

Now it works. :)

#3 - 08/03/2011 08:40 AM - Ohad Levy

- Category set to Unattended installations

- Target version set to 0.4

great, do you want to send a git patch?
#4 - 08/04/2011 04:02 AM - Oliver Weinmann

I would love to. But I have no clue how to do this. :)

#5 - 08/04/2011 05:55 AM - Ohad Levy

something like:

read though Contribute

and then something like this:

cd /tmp

git clone git://github.com/ohadlevy/foreman.git foreman

cd foreman

vim app/views/unattended/autoyast.xml.erb 

git diff

git ci app/views/unattended/autoyast.xml.erb -m "fixes #1084 - OpenSUSE / SLES deployment root password not wo

rking" 

rake mail_patches

#6 - 08/04/2011 05:55 AM - Ohad Levy

- Assignee set to Oliver Weinmann

#7 - 08/18/2011 04:14 PM - Ohad Levy

sadly i never got the patch, mind attaching the git formatted patch here instead ?

#8 - 09/04/2011 03:58 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 72e1d32da42ac1c6f2d0ef7768ff03b95ac05793.
